cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_open_orders_by_label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1953,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_label",
"params": {
"currency": "BTC",
"label": "fooBar"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_open_orders_by_label"
payload = {
"id": 1953,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_label",
"params": {
"currency": "BTC",
"label": "fooBar"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1953,
jsonrpc: '2.0',
method: 'private/get_open_orders_by_label',
params: {currency: 'BTC', label: 'fooBar'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_open_orders_by_label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1953,
"jsonrpc": "2.0",
"result": [
{
"amount": 10,
"api": true,
"average_price": 0,
"creation_timestamp": 1550050597036,
"direction": "buy",
"filled_amount": 0,
"instrument_name": "BTC-15FEB19-3250-P",
"is_liquidation": false,
"is_rebalance": false,
"label": "fooBar",
"last_update_timestamp": 1550050597036,
"max_show": 10,
"order_id": "146062",
"order_state": "open",
"order_type": "limit",
"post_only": false,
"price": 0.0028,
"reduce_only": false,
"time_in_force": "good_til_cancelled"
}
]
}Trading
private/get_open_orders_by_label
Retrieves a list of all open orders that have a specific label within a given currency. This is useful for tracking and managing groups of related orders that share the same label.
Open orders are orders that have been placed but not yet filled or cancelled. The label helps organize and identify related orders.
GET
/
private
/
get_open_orders_by_label
cURL
Authorizations
ApiKeyOAuth2
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR user defined label for the order (maximum 64 characters)
Was this page helpful?